WinCrypt.CERT_CONTEXT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CERT_CONTEXT

Package com.sun.jna.platform.win32

# Class WinCrypt.CERT_CONTEXT

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CERT_CONTEXT

Direct Known Subclasses:
  `WinCrypt.CERT_CONTEXT.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"dwCertEncodingType","pbCertEncoded","cbCertEncoded","pCertInfo","hCertStore"}) public static class WinCrypt.CERT_CONTEXT extends Structure
The CERT_CONTEXT structure contains both the encoded and decoded representations of a certificate. A certificate context returned by one of the functions defined in Wincrypt.h must be freed by calling the CertFreeCertificateContext function. The CertDuplicateCertificateContext function can be called to make a duplicate copy (which also must be freed by calling CertFreeCertificateContext).

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CERT_CONTEXT.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cbCertEncoded`
  `int`
  `dwCertEncodingType`
  `WinCrypt.HCERTSTORE`
  `hCertStore`
  `Pointer`
  `pbCertEncoded`
  `WinCrypt.CERT_INFO.ByReference`
  `pCertInfo`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CERT_CONTEXT()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwCertEncodingType

    public int dwCertEncodingType

  - ### pbCertEncoded

    public Pointer pbCertEncoded

  - ### cbCertEncoded

    public int cbCertEncoded

  - ### pCertInfo

    public WinCrypt.CERT_INFO.ByReference pCertInfo

  - ### hCertStore

    public WinCrypt.HCERTSTORE hCertStore

- ## Constructor Details

  - ### CERT_CONTEXT

    public CERT_CONTEXT()